<div class="front_page_section front_page_section_woocommerce<?php
	$quanzo_scheme = quanzo_get_theme_option( 'front_page_woocommerce_scheme' );
	if ( ! empty( $quanzo_scheme ) && ! quanzo_is_inherit( $quanzo_scheme ) ) {
		echo ' scheme_' . esc_attr( $quanzo_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( quanzo_get_theme_option( 'front_page_woocommerce_paddings' ) );
	if ( quanzo_get_theme_option( 'front_page_woocommerce_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$quanzo_css      = '';
		$quanzo_bg_image = quanzo_get_theme_option( 'front_page_woocommerce_bg_image' );
		if ( ! empty( $quanzo_bg_image ) ) {
			$quanzo_css .= 'background-image: url(' . esc_url( quanzo_get_attachment_url( $quanzo_bg_image ) ) . ');';
		}
		if ( ! empty( $quanzo_css ) ) {
			echo ' style="' . esc_attr( $quanzo_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$quanzo_anchor_icon = quanzo_get_theme_option( 'front_page_woocommerce_anchor_icon' );
	$quanzo_anchor_text = quanzo_get_theme_option( 'front_page_woocommerce_anchor_text' );
if ( ( ! empty( $quanzo_anchor_icon ) || ! empty( $quanzo_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_woocommerce"'
									. ( ! empty( $quanzo_anchor_icon ) ? ' icon="' . esc_attr( $quanzo_anchor_icon ) . '"' : '' )
									. ( ! empty( $quanzo_anchor_text ) ? ' title="' . esc_attr( $quanzo_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner
	<?php
	if ( quanzo_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
		echo ' quanzo-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$quanzo_css      = '';
			$quanzo_bg_mask  = quanzo_get_theme_option( 'front_page_woocommerce_bg_mask' );
			$quanzo_bg_color_type = quanzo_get_theme_option( 'front_page_woocommerce_bg_color_type' );
			if ( 'custom' == $quanzo_bg_color_type ) {
				$quanzo_bg_color = quanzo_get_theme_option( 'front_page_woocommerce_bg_color' );
			} elseif ( 'scheme_bg_color' == $quanzo_bg_color_type ) {
				$quanzo_bg_color = quanzo_get_scheme_color( 'bg_color', $quanzo_scheme );
			} else {
				$quanzo_bg_color = '';
			}
			if ( ! empty( $quanzo_bg_color ) && $quanzo_bg_mask > 0 ) {
				$quanzo_css .= 'background-color: ' . esc_attr(
					1 == $quanzo_bg_mask ? $quanzo_bg_color : quanzo_hex2rgba( $quanzo_bg_color, $quanzo_bg_mask )
				) . ';';
			}
			if ( ! empty( $quanzo_css ) ) {
				echo ' style="' . esc_attr( $quanzo_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$quanzo_caption     = quanzo_get_theme_option( 'front_page_woocommerce_caption' );
			$quanzo_description = quanzo_get_theme_option( 'front_page_woocommerce_description' );
			if ( ! empty( $quanzo_caption ) || ! empty( $quanzo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $quanzo_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $quanzo_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $quanzo_caption, 'quanzo_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description (text)
				if ( ! empty( $quanzo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $quanzo_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $quanzo_description ), 'quanzo_kses_content' )
					?>
					</div>
					<?php
				}
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
			<?php
				$quanzo_woocommerce_sc = quanzo_get_theme_option( 'front_page_woocommerce_products' );
			if ( 'products' == $quanzo_woocommerce_sc ) {
				$quanzo_woocommerce_sc_ids      = quanzo_get_theme_option( 'front_page_woocommerce_products_per_page' );
				$quanzo_woocommerce_sc_per_page = count( explode( ',', $quanzo_woocommerce_sc_ids ) );
			} else {
				$quanzo_woocommerce_sc_per_page = max( 1, (int) quanzo_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
			}
				$quanzo_woocommerce_sc_columns = max( 1, min( $quanzo_woocommerce_sc_per_page, (int) quanzo_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
				echo do_shortcode(
					"[{$quanzo_woocommerce_sc}"
									. ( 'products' == $quanzo_woocommerce_sc
											? ' ids="' . esc_attr( $quanzo_woocommerce_sc_ids ) . '"'
											: '' )
									. ( 'product_category' == $quanzo_woocommerce_sc
											? ' category="' . esc_attr( quanzo_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
											: '' )
									. ( 'best_selling_products' != $quanzo_woocommerce_sc
											? ' orderby="' . esc_attr( quanzo_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
												. ' order="' . esc_attr( quanzo_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
											: '' )
									. ' per_page="' . esc_attr( $quanzo_woocommerce_sc_per_page ) . '"'
									. ' columns="' . esc_attr( $quanzo_woocommerce_sc_columns ) . '"'
					. ']'
				);
				?>
			</div>
		</div>
	</div>
</div>
