<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$quanzo_footer_scheme = quanzo_get_theme_option( 'footer_scheme' );
if ( ! empty( $quanzo_footer_scheme ) && ! quanzo_is_inherit( $quanzo_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $quanzo_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/footer-socials' ) );

	// Menu
	get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/footer-menu' ) );

	// Copyright area
	get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
