<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.14
 */
$quanzo_header_video = quanzo_get_header_video();
$quanzo_embed_video  = '';
if ( ! empty( $quanzo_header_video ) && ! quanzo_is_from_uploads( $quanzo_header_video ) ) {
	if ( quanzo_is_youtube_url( $quanzo_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $quanzo_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php quanzo_show_layout( quanzo_get_embed_video( $quanzo_header_video ) ); ?></div>
		<?php
	}
}
