<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */

$quanzo_link        = get_permalink();
$quanzo_post_format = get_post_format();
$quanzo_post_format = empty( $quanzo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $quanzo_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $quanzo_post_format ) ); ?> data-post-id="<?php the_ID(); ?>">
	<?php
	quanzo_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'quanzo_filter_related_thumb_size', quanzo_get_thumb_size( (int) quanzo_get_theme_option( 'related_posts' ) == 1 ? 'huge' : 'big' ) ),
		)
	);
	?>
	<div class="post_header entry-header">
        <h6 class="post_title entry-title"><a href="<?php echo esc_url( $quanzo_link ); ?>"><?php the_title(); ?></a></h6>
		<?php
		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
			?>
			<div class="post_meta">
				<a href="<?php echo esc_url( $quanzo_link ); ?>" class="post_meta_item post_date"><?php echo wp_kses_data( quanzo_get_date() ); ?></a>
			</div>
			<?php
		}
		?>
	</div>
</div>
