<div class="front_page_section front_page_section_blog<?php
	$quanzo_scheme = quanzo_get_theme_option( 'front_page_blog_scheme' );
	if ( ! empty( $quanzo_scheme ) && ! quanzo_is_inherit( $quanzo_scheme ) ) {
		echo ' scheme_' . esc_attr( $quanzo_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( quanzo_get_theme_option( 'front_page_blog_paddings' ) );
	if ( quanzo_get_theme_option( 'front_page_blog_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$quanzo_css      = '';
		$quanzo_bg_image = quanzo_get_theme_option( 'front_page_blog_bg_image' );
		if ( ! empty( $quanzo_bg_image ) ) {
			$quanzo_css .= 'background-image: url(' . esc_url( quanzo_get_attachment_url( $quanzo_bg_image ) ) . ');';
		}
		if ( ! empty( $quanzo_css ) ) {
			echo ' style="' . esc_attr( $quanzo_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$quanzo_anchor_icon = quanzo_get_theme_option( 'front_page_blog_anchor_icon' );
	$quanzo_anchor_text = quanzo_get_theme_option( 'front_page_blog_anchor_text' );
if ( ( ! empty( $quanzo_anchor_icon ) || ! empty( $quanzo_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_blog"'
									. ( ! empty( $quanzo_anchor_icon ) ? ' icon="' . esc_attr( $quanzo_anchor_icon ) . '"' : '' )
									. ( ! empty( $quanzo_anchor_text ) ? ' title="' . esc_attr( $quanzo_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_blog_inner
	<?php
	if ( quanzo_get_theme_option( 'front_page_blog_fullheight' ) ) {
		echo ' quanzo-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$quanzo_css      = '';
			$quanzo_bg_mask  = quanzo_get_theme_option( 'front_page_blog_bg_mask' );
			$quanzo_bg_color_type = quanzo_get_theme_option( 'front_page_blog_bg_color_type' );
			if ( 'custom' == $quanzo_bg_color_type ) {
				$quanzo_bg_color = quanzo_get_theme_option( 'front_page_blog_bg_color' );
			} elseif ( 'scheme_bg_color' == $quanzo_bg_color_type ) {
				$quanzo_bg_color = quanzo_get_scheme_color( 'bg_color', $quanzo_scheme );
			} else {
				$quanzo_bg_color = '';
			}
			if ( ! empty( $quanzo_bg_color ) && $quanzo_bg_mask > 0 ) {
				$quanzo_css .= 'background-color: ' . esc_attr(
					1 == $quanzo_bg_mask ? $quanzo_bg_color : quanzo_hex2rgba( $quanzo_bg_color, $quanzo_bg_mask )
				) . ';';
			}
			if ( ! empty( $quanzo_css ) ) {
				echo ' style="' . esc_attr( $quanzo_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_blog_content_wrap content_wrap">
			<?php
			// Caption
			$quanzo_caption = quanzo_get_theme_option( 'front_page_blog_caption' );
			if ( ! empty( $quanzo_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_blog_caption front_page_block_<?php echo ! empty( $quanzo_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $quanzo_caption, 'quanzo_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$quanzo_description = quanzo_get_theme_option( 'front_page_blog_description' );
			if ( ! empty( $quanzo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_blog_description front_page_block_<?php echo ! empty( $quanzo_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $quanzo_description ), 'quanzo_kses_content' ) ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_blog_output">
			<?php
			if ( is_active_sidebar( 'front_page_blog_widgets' ) ) {
				dynamic_sidebar( 'front_page_blog_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! quanzo_exists_trx_addons() ) {
					quanzo_customizer_need_trx_addons_message();
				} else {
					quanzo_customizer_need_widgets_message( 'front_page_blog_caption', 'ThemeREX Addons - Blogger' );
				}
			}
			?>
			</div>
		</div>
	</div>
</div>
