<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$quanzo_copyright_scheme = quanzo_get_theme_option( 'copyright_scheme' );
if ( ! empty( $quanzo_copyright_scheme ) && ! quanzo_is_inherit( $quanzo_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $quanzo_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$quanzo_copyright = quanzo_get_theme_option( 'copyright' );
			if ( ! empty( $quanzo_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$quanzo_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $quanzo_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$quanzo_copyright = quanzo_prepare_macros( $quanzo_copyright );
				// Display copyright
				echo wp_kses( nl2br( $quanzo_copyright ), 'quanzo_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
