<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.10
 */

$quanzo_footer_id = quanzo_get_custom_footer_id();
$quanzo_footer_meta = get_post_meta( $quanzo_footer_id, 'trx_addons_options', true );
if ( ! empty( $quanzo_footer_meta['margin'] ) ) {
	quanzo_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( quanzo_prepare_css_value( $quanzo_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $quanzo_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $quanzo_footer_id ) ) ); ?>
						<?php
						$quanzo_footer_scheme = quanzo_get_theme_option( 'footer_scheme' );
						if ( ! empty( $quanzo_footer_scheme ) && ! quanzo_is_inherit( $quanzo_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $quanzo_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'quanzo_action_show_layout', $quanzo_footer_id );
	?>
</footer><!-- /.footer_wrap -->
