<?php
/**
 * The template to display the side menu
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */
?>
<div class="menu_side_wrap
<?php
$quanzo_menu_style = quanzo_get_theme_option( 'menu_style' );
echo ' menu_side_' . esc_attr( quanzo_get_theme_option( 'menu_side_icons' ) > 0 ? 'icons' : 'dots' );
$quanzo_menu_scheme = quanzo_get_theme_option( 'menu_scheme' );
$quanzo_header_scheme = quanzo_get_theme_option( 'header_scheme' );

if (!empty($quanzo_menu_scheme) && !quanzo_is_inherit($quanzo_menu_scheme)) {
    echo ' scheme_' . esc_attr($quanzo_menu_scheme);
} elseif (!empty($quanzo_header_scheme) && !quanzo_is_inherit($quanzo_header_scheme)) {
    echo ' scheme_' . esc_attr($quanzo_header_scheme);
}

?>
				">
    <?php if ($quanzo_menu_style != 'right_anchors') { ?>
	    <span class="menu_side_button icon-menu-2"></span>
    <?php } ?>

	<div class="menu_side_inner">
		<?php
        if ($quanzo_menu_style != 'right_anchors') {
            // Logo
                              set_query_var( 'quanzo_logo_args', array( 'type' => 'side' ) );
                              get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/header-logo' ) );
                              set_query_var( 'quanzo_logo_args', array() );
                              // Main menu button
                              ?>
            <div class="toc_menu_item">
                <a href="#" class="toc_menu_description menu_mobile_description"><span class="toc_menu_description_title"><?php esc_html_e( 'Main menu', 'quanzo' ); ?></span></a>
                <a class="menu_mobile_button toc_menu_icon icon-menu-2" href="#"><span class="toc_menu_burger"></span></a>
            </div>
          <?php 
          // Search
          if ( quanzo_exists_trx_addons() ) {
            ?>
            <div class="sc_layouts_item">
              <?php
              // Display search field
              do_action(
                'quanzo_action_search',
                array(
                  'style' => 'fullscreen',
                  'class' => 'header_search',
                  'ajax'  => false
                )
              );
              ?>
            </div>
            <?php
          }
          // Social icons
          quanzo_show_layout( quanzo_get_socials_links(), '<div class="socials_wrap">', '</div>' );
        } ?>
	</div>

</div><!-- /.menu_side_wrap -->
